[OpenIndiana-discuss] __deregister_frame_info_bases
Apostolos Syropoulos
asyropoulos at yahoo.com
Thu Sep 8 18:34:54 UTC 2016
>
> nspluginwrapper-1.4.4?
>
Yes that's exactly the version I have used
> @Apostolos: Too bad you didn't tell what you changed to come that far,
> because by default it won't at least configure.
> So I cannot quickly (without hassle) re-create your scenario and hence cannot
> tell you what you are missing.
> The first thing it appears to depend on are GNU tools.
diff -Naur nspluginwrapper-1.4.4/configure nspluginwrapper-1.4.4.new/configure
--- nspluginwrapper-1.4.4/configure 2011-07-01 06:18:57.000000000 +0300
+++ nspluginwrapper-1.4.4.new/configure 2016-09-07 21:23:49.162350362 +0300
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# nspluginwrapper configure script (C) 2005-2009 Gwenole Beauchesne
# derived from qemu configure script, (C) 2003 Fabrice Bellard
@@ -506,8 +506,9 @@
echo "GLIB 2.0 environment not found"
exit 1
fi
+echo $TMPC
cat > $TMPC << EOF
-#include <glib.h>
+#include <glib-2.0/glib.h>
int main(void) {
(void) g_main_context_pending(NULL);
return 0;
@@ -537,12 +538,12 @@
return 0;
}
EOF
- if ! $cc $CFLAGS $LDFLAGS $GTK_CFLAGS $TMPC -o $TMPE $GTK_LIBS > /dev/null 2>&1; then
- echo "GTK+ 2.0 environment not usable"
- rm -f $TMPC
- exit 1
- fi
- rm -f $TMPC $TMPE
+# if ! $cc $GTK_CFLAGS $TMPC -o $TMPE $GTK_LIBS > /dev/null 2>&1; then
+# echo "GTK+ 2.0 environment not usable"
+# rm -f $TMPC
+# exit 1
+# fi
+# rm -f $TMPC $TMPE
fi
# check for cURL compile CFLAGS
As you see I had to manually diasble the test since the test file compiles and
links just fine... but the script fails to see this...
diff -Naur nspluginwrapper-1.4.4/npapi/nptypes.h nspluginwrapper-1.4.4.new/npapi/nptypes.h
--- nspluginwrapper-1.4.4/npapi/nptypes.h 2011-07-01 06:18:57.000000000 +0300
+++ nspluginwrapper-1.4.4.new/npapi/nptypes.h 2016-09-07 21:30:27.322562577 +0300
@@ -55,7 +55,7 @@
typedef unsigned int uint32_t;
typedef long long int64_t;
typedef unsigned long long uint64_t;
-#elif defined(_AIX) || defined(__sun) || defined(__osf__) || defined(IRIX) || defined(HPUX)
+#elif defined(_AIX) || defined(__osf__) || defined(IRIX) || defined(HPUX)
/*
* AIX and SunOS ship a inttypes.h header that defines [u]int32_t,
* but not bool for C.
diff -Naur nspluginwrapper-1.4.4/src/glibcurl.c nspluginwrapper-1.4.4.new/src/glibcurl.c
--- nspluginwrapper-1.4.4/src/glibcurl.c 2011-07-01 06:18:57.000000000 +0300
+++ nspluginwrapper-1.4.4.new/src/glibcurl.c 2016-09-07 21:43:22.877235305 +0300
@@ -23,7 +23,7 @@
copyright holder.
*/
-
+#define __EXTENSIONS__
#include <glib.h>
#include "glibcurl.h"
diff -Naur nspluginwrapper-1.4.4/src/gtk2xtbin.c nspluginwrapper-1.4.4.new/src/gtk2xtbin.c
--- nspluginwrapper-1.4.4/src/gtk2xtbin.c 2011-07-01 06:18:57.000000000 +0300
+++ nspluginwrapper-1.4.4.new/src/gtk2xtbin.c 2016-09-07 21:45:06.093895371 +0300
@@ -41,7 +41,7 @@
* The GtkXtBin widget allows for Xt toolkit code to be used
* inside a GTK application.
*/
-
+#define __EXTENSIONS__
#include "xembed.h"
#include "gtk2xtbin.h"
#include <gtk/gtk.h>
Also, in files
nspluginwrapper-1.4.4.new/src/npw-player.c
nspluginwrapper-1.4.4.new/src/npw-viewer.c
comment out the lines containing the following command
g_thread_init(NULL);
A.S.
----------------------
Apostolos Syropoulos
Xanthi, Greece
More information about the openindiana-discuss
mailing list